Skip to main content
`Ctrl`+`K`

# is_threshold_graph

is_threshold_graph(G)

  Returns `True` if `G` is a threshold graph.

  Parameters:
    G NetworkX graph instance

      An instance of `Graph`, `DiGraph`, `MultiGraph` or `MultiDiGraph`

  Returns:
    bool

      `True` if `G` is a threshold graph, `False` otherwise.

  References

  [1]

  Threshold graphs: https://en.wikipedia.org/wiki/Threshold_graph

  Examples

      >>> from networkx.algorithms.threshold import is_threshold_graph
      >>> G = nx.path_graph(3)
      >>> is_threshold_graph(G)
      True
      >>> G = nx.barbell_graph(3, 3)
      >>> is_threshold_graph(G)
      False